/*
 *            LVS Windows
 *      The Window Class System
 *
 *        Copyright 1991 (c), Lake View Software
 *                            4321 Harborough Rd.
 *                            Columbus, OH 43220
 *        All rights reserved.
 */
// Window Pick list class

#include "winobj.hpp"

#ifndef WINPICK_HPP
#define WINPICK_HPP

class WinPick:public WinObj
{
    protected:
        char **pick_list;
        int count;
        int bar_attr;
        int pointer,cursor;
        void up ();
        void down ();
        void mouse_routine (int y, int x);
        char bor_char (int y, int x, char &);
    public:
        WinPick ();
        ~WinPick ();

        void prompt (char **list,int num=-1);
        int read (int start = 0);
        int set_barattr (int attr);     // returns old value
};


#endif
